#pragma once
#include "Mod.h"

class MCP : public Mod {
public:
	MCP() : Mod(_("MCP"), _("Throws an ender pearl when the mouse wheel is clicked."), Category::OTHER) {
		enabled = false;
	}

private:
	bool use = false;
	virtual auto onMouse(char button, char action, bool* cancel) -> void override;
	virtual auto onWorldTick(Player* _this) -> void override;
};
